/***************************************************************************
 *   Copyright (C) 2008 by Dmitry Nezhevenko                               *
 *   dion@inhex.net                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "configfield.h"

ConfigField::ConfigField(FieldType type, const QString& name, const QString& description, const QString& value)
{
	type_=type;
	name_=name;
	description_=description;
	value_=value;
}

ConfigField::ConfigField(const QString& name, const QString& value)
{
	type_=FIELDTYPE_UNKNOWN;
	name_=name;
	value_=value;
	description_="";
}
	
ConfigField::ConfigField(const ConfigField& other)
{
	type_=other.type();
	name_=other.name();
	description_=other.description();
	value_=other.value();
}

ConfigField::~ConfigField()
{
}

bool ConfigField::boolValue() const
{
	return (value_.toInt()>0 || value_.toUpper()=="TRUE");
}
